#!/usr/bin/env zsh

# home.sh
BAK='/Data/_bak/Home_nix'
if [ ! -z "$1" ]; then
  BAK="$1"
fi

echo "BAK: backing up  '$HOME'  to  '$BAK'"

rsync -rhP --links --size-only --verbose --delete \
  --exclude '**/.Trash-1000/' \
  --exclude '**/*.log' \
  --exclude '**/*.part' \
  --exclude '**/*~' \
  --exclude '**/hyphen-data/' \
  --exclude '**/logs/' \
  --exclude '**/node_modules/' \
  --exclude '**/storage/default/' \
  --exclude '**/datareporting/' \
  --exclude '.android/' \
  --exclude '.bun/' \
  --exclude '.cabal/' \
  --exclude '.cache/' \
  --exclude '.cargo/' \
  --exclude '.cinnamon/' \
  --exclude '.config/agregore-browser/' \
  --exclude '.config/chromium/' \
  --exclude '.config/Code/Cache*' \
  --exclude '.config/Code/Crashpad/' \
  --exclude '.config/Code/Service Worker/' \
  --exclude '.config/Code/User/History/' \
  --exclude '.config/Code/User/workspaceStorage/' \
  --exclude '.config/google-chrome-unstable/' \
  --exclude '.config/google-chrome/' \
  --exclude '.config/vivaldi/' \
  --exclude '.config/xnviewmp/' \
  --exclude '.deno/' \
  --exclude '.docker/' \
  --exclude '.electron-gyp/' \
  --exclude '.figma/' \
  --exclude '.fonts/' \
  --exclude '.gnome/' \
  --exclude '.gnupg/' \
  --exclude '.gphoto/' \
  --exclude '.gradle/' \
  --exclude '.java/' \
  --exclude '.linuxmint/' \
  --exclude '.local/share/lutris' \
  --exclude '.local/share/Trash' \
  --exclude '.nix-defexpr' \
  --exclude '.nix-profile' \
  --exclude '.node/' \
  --exclude '.npm/' \
  --exclude '.nv/' \
  --exclude '.pipupgrade/' \
  --exclude '.pki/' \
  --exclude '.privat/' \
  --exclude '.Private/' \
  --exclude '.pub-cache/' \
  --exclude '.rustup/' \
  --exclude '.ssh' \
  --exclude '.steam*' \
  --exclude '.thunderbird' \
  --exclude '.zoom/' \
  --exclude 'Android/' \
  --exclude 'FontBase/' \
  --exclude 'Games/' \
  --exclude 'Cfg/' \
  --exclude 'Desktop/' \
  --exclude 'Inbox/' \
  --exclude 'My Games/' \
  --exclude 'go/' \
  --exclude 'Private/' \
  --exclude 'snap/' \
  --exclude 'Steam/' \
  --exclude 'Servers/' \
  --exclude 'tmp/' \
  "/home/dym/" \
  "$BAK"
